Subject: bug#20104: [PATCH] gzip: make the GZIP env var obsolescent

From: Jim Meyering <[email-masked]>
Date: Sun, 15 Mar 2015 20:40:27 -0700

On Sun, Mar 15, 2015 at 5:54 PM, Paul Eggert <[email-masked]> wrote:
> Mark Adler wrote:
>>
>> You could allow only compression level options in the environment
>> variable, which I think was its main intent in the first place.
>
>
> The documentation currently suggests using GZIP to specify -q, -v, and
> --name (-N), so it appears that this intent was lost long ago.
>
> Allowing "harmless" options in GZIP raises the question: where does one draw
> the line between "harmless" and "harmful"?  Clearly options like -d and -t
> are typically harmful.  In contrast, -q, -v, -n, -N, and -1 through -9 might
> be harmless in many cases, though they could still cause problems in some.
>
> Any rule that says that GZIP is OK for some options but not others would add
> some complexity to the spec, and would be confusing in the long run for
> users.
>
> I'm inclined to implement your suggestion immediately (i.e., for the next
> release of gzip), while documenting that the GZIP environment variable is
> obsolescent and that we plan to remove it entirely later.

Sounds good.
I too prefer to deprecate, and then (a release or two later) to remove entirely.
There is just too much room for "surprise", otherwise.